#include "K37BatAbility.h"
#include "Net/UnrealNetwork.h"

void UK37BatAbility::OnRep_TeleportTargets()
{

}

void UK37BatAbility::OnLevelReadyToPlay()
{

}

float UK37BatAbility::GetMaxRangeForTeleport() const
{
	return 0.0f;
}

void UK37BatAbility::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UK37BatAbility, _teleportInteraction);
	DOREPLIFETIME(UK37BatAbility, _teleportTargets);
}

UK37BatAbility::UK37BatAbility()
{
	this->_teleportInteractionClass = NULL;
	this->_ignoreWindowsCollisionsComponentClass = NULL;
	this->_ignorePalletsCollisionsComponentClass = NULL;
	this->_teleportTargetingComponentClass = NULL;
	this->_teleportPalletTargetClass = NULL;
	this->_teleportWindowTargetClass = NULL;
	this->_flyVelocityCalculationStrategyClass = NULL;
	this->_killerCapsuleHalfHeightInBatForm = 103.000000;
	this->_killerCapsuleRadiusInBatForm = 45.000000;
}
